Subject: Re: feature request: excluding files/paths from "git grep"

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Feb 2015 12:59:03 -0800

Michael J Gruber <[email-masked]> writes:

> So, as a summary of the discussion, it seems it's time to switch the
> default to --textconv for git grep?

Hmmm, why?

Nobody seems to be asking for such a change in this thread.  The
original issue IIRC was that the grep output was unnecessary for
some paths and the repository did not mark these paths as such.
Once they are marked as "-diff", there is no reason why you want to
trigger textconv to squelch the hits from grep.

So that does not sound to me a summary of the discussion at all.